using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempEmAbertoItens
    {
        public void Execute(entidadeTempEmAbertoItens objTempEmAbertoItens)
        {
            dalTempEmAbertoItens dalTempEmAbertoItens = null;

            try
            {
                dalTempEmAbertoItens = new dalTempEmAbertoItens();

                dalTempEmAbertoItens.Execute(objTempEmAbertoItens);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute_1(entidadeTempEmAbertoItens objTempEmAbertoItens)
        {
            dalTempEmAbertoItens dalTempEmAbertoItens = null;

            try
            {
                dalTempEmAbertoItens = new dalTempEmAbertoItens();

                dalTempEmAbertoItens.Execute_1(objTempEmAbertoItens);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Execute_2(entidadeTempEmAbertoItens objTempEmAbertoItens)
        {
            dalTempEmAbertoItens dalTempEmAbertoItens = null;
            DataTable dt = null;

            try
            {
                dalTempEmAbertoItens = new dalTempEmAbertoItens();
                dt = dalTempEmAbertoItens.Execute_2(objTempEmAbertoItens);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
